Name:           perl-WebService-Pushover
Version:        0.1.2
Release:        1%{?dist}
Summary:        Interface to Pushover API
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/WebService-Pushover/
Source0:        file:///home/dave/mirrors/minicpan//authors/id/S/SH/SHUFF/WebService-Pushover-v%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.008
BuildRequires:  perl(DateTime)
BuildRequires:  perl(DateTime::Format::Strptime)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Moo)
BuildRequires:  perl(Net::HTTP::Spore)
BuildRequires:  perl(Net::HTTP::Spore::Middleware::Header)
BuildRequires:  perl(Params::Validate)
BuildRequires:  perl(Readonly)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Perl::Critic)
BuildRequires:  perl(Test::Pod) >= 1.14
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
BuildRequires:  perl(URI)
BuildRequires:  perl(version)
Requires:       perl(DateTime)
Requires:       perl(DateTime::Format::Strptime)
Requires:       perl(File::Spec)
Requires:       perl(Moo)
Requires:       perl(Net::HTTP::Spore)
Requires:       perl(Net::HTTP::Spore::Middleware::Header)
Requires:       perl(Params::Validate)
Requires:       perl(Readonly)
Requires:       perl(URI)
Requires:       perl(version)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides a Perl wrapper around the Pushover (
http://pushover.net ) RESTful API. You'll need to register with Pushover to
obtain an API token for yourself and for your application before you'll be
able to do anything with this module.

%prep
%setup -q -n WebService-Pushover-v%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Dec 19 2013 Dave Cross <dave@mag-sol.com> 0.1.2-1
- Specfile autogenerated by cpanspec 1.78.
